Delete connector
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/connectors/{connectorId} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/connectors/{connectorId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": "<string>"
}{
"message": "<string>",
"status": "<string>"
}Connector
Delete connector
Deletes the connector and its backend credentials. All job widget associations are removed. Requires ADMIN or PROJECT_MANAGER role with the Connector setup access right.
DELETE
/
api2
/
v1
/
connectors
/
{connectorId}
Delete connector
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Internal numeric ID of the connector
Response
No Content
Was this page helpful?
⌘I